# Encounter _search

`POST /Encounter/_search`

This resource contains details and outcomes for a patient encounter, which can include one or more providers, locations, and services.

Encounters may encompass preadmission, outpatient visits, telehealth visits, inpatient stays, and discharges, depending on the organization and context for the encounter.

Encounters may contain references to procedures if:

- A procedure was completed during a patient visit.
- A follow-up procedure is scheduled as a result of the encounter. 

You can review, retrieve, save, or cancel encounter details.

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### \_search

Query for details about a patient visit. 

> **Flexible FHIR queries, different query parameters**
>
> FHIR queries are a flexible option with parameters to refine your search. The response returns a bundle of resources, known as a `searchset` bundle type. [Learn about bundles and bundle types](https://docs.redoxengine.com/permalink/23Q1Oku3NdxxvwYnQGJVrg) in our FHIR glossary.
>
> We add a `required` label only to query parameters _a FHIR server requires if you query it directly_. Remember that Redox <u>**data on demand**</u> isn’t a FHIR server, and your connection may not be either.
>
> _Query parameters vary between sites._ Work with your connection to find out which query parameters they require for a successful search.

###### Data on demand requirements

For data on demand searches, you must include at least one of these query parameters: 

- FHIR resource ID for `Patient` resource ([learn about FHIR references](https://docs.redoxengine.com/basics/redox-fhir-api/fhir-glossary/#reference) or [review HL7's docs on references](https://build.fhir.org/search.html#reference))
- `_id`
- `identifier` ([learn about handling FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ))
- `date`
- `status`

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `identifier` | Array of string | No | Identifier(s) by which this encounter is known |
| `date` | Array of string | No | A date within the period the Encounter lasted |
| `practitioner` | Array of string | No | Persons involved in the encounter other than the patient |
| `practitioner.identifier` | Array of string | No | One or more external identifiers for the practitioner |
| `patient` | Array of string | No | The patient or group present at the encounter |
| `patient.identifier` | Array of string | No | One or more external identifiers for the patient |
| `location` | Array of string | No | Location the encounter takes place |
| `location.name` | Array of string | No | A portion of the location's name or alias. |
| `location.name-physical-type` | Array of string | No | Specify both name and physical-type at once. This is a Redox-specific parameter. |
| `destination` | Array of string | No | Location to which the patient is discharged |
| `status` | Array of string | No | The encounter's status |
| `class-display` | Array of string | No | The encounter's class; inpatient \| outpatient \| ambulatory \| emergency + |
| `_include` | Array of string | No | Set to `Encounter:location` and `Location:partof` to include all location information associated with encounters. Additionally, `Encounter:patient` and `Encounter:practitioner` can be included to return patient and practitioners resources within the same search result bundle. If omitted, these resources can also be retrieved individually at a later time. |

## Request example

_Generated from the schema: the values are placeholders, not a real payload._

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Encounter/_search' \
--request POST \
--header 'Authorization: Bearer $API_TOKEN' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode '_include=string' \
--data-urlencode 'identifier=string' \
--data-urlencode 'date=string' \
--data-urlencode 'practitioner=string' \
--data-urlencode 'practitioner.identifier=string' \
--data-urlencode 'patient=string' \
--data-urlencode 'patient.identifier=string' \
--data-urlencode 'location=string' \
--data-urlencode 'location.name=string' \
--data-urlencode 'location.name-physical-type=string' \
--data-urlencode 'destination=string' \
--data-urlencode 'status=string' \
--data-urlencode 'class-display=string'
```

## Responses

### 200

Search results (Bundle)

Response to an Encounter search operation containing encounter resources

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a response to a search. Value: searchset |
| `total` | number | Yes | The total number of matches |
| `entry` | Array of Encounter or Location or Practitioner or Patient or Other | No | A resource matching the search criteria or related to a matching resource |
| `entry[] (Encounter).resource` | Redox Encounter or RedoxEncounterWithContained | Yes | Information about an interaction between a patient and healthcare provider |
| `entry[] (Encounter).resource (Redox Encounter).resourceType` | string | Yes | Identifies the type of the resource. Value: Encounter |
| `entry[] (Encounter).resource (Redox Encounter).status` | string | Yes | Current status of the encounter. Possible values: planned, arrived, triaged, in-progress, onleave, finished, cancelled, entered-in-error, unknown |
| `entry[] (Encounter).resource (Redox Encounter).class` | object | Yes | Concepts representing classification of patient encounter such as ambulatory (outpatient), inpatient, emergency, home health or others due to local variations. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).class.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (Redox Encounter).class.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).class.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).type` | Array of object | Yes | Specific type of encounter (e.g. e-mail consultation, surgical day-care, skilled nursing, rehabilitation). |
| `entry[] (Encounter).resource (Redox Encounter).type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (Redox Encounter).type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (Redox Encounter).subject` | object | Yes | The patient or group present at the encounter. Must be a resource of type `Patient`. |
| `entry[] (Encounter).resource (Redox Encounter).subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (Redox Encounter).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Encounter).resource (Redox Encounter).extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (Redox Encounter).identifier` | Array of object | No | Identifier(s) by which this encounter is known. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].system` | string | Yes | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (Redox Encounter).identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Encounter).resource (Redox Encounter).participant` | Array of object | No | The list of people responsible for providing the service. |
| `entry[] (Encounter).resource (Redox Encounter).participant[].type` | Array of object | No | Role of the participant in encounter eg, `ATND`=AttendingProvider, `CON`=ConsultingProvider, `REF`=ReferringProvider, `PART`=VisitProvider |
| `entry[] (Encounter).resource (Redox Encounter).participant[].type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (Redox Encounter).participant[].type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).participant[].type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).participant[].type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (Redox Encounter).participant[].period` | object | No | The period of time that the specified participant participated in the encounter. These can overlap or be sub-sets of the overall encounter's period. |
| `entry[] (Encounter).resource (Redox Encounter).participant[].period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Encounter).resource (Redox Encounter).participant[].period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Encounter).resource (Redox Encounter).participant[].individual` | object | No | Persons involved in the encounter other than the patient. Must reference one of the following types of resources: - `Practitioner` - `PractitionerRole` - `RelatedPerson` |
| `entry[] (Encounter).resource (Redox Encounter).participant[].individual.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (Redox Encounter).period` | object | No | The start and end time of the encounter. |
| `entry[] (Encounter).resource (Redox Encounter).period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Encounter).resource (Redox Encounter).period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Encounter).resource (Redox Encounter).length` | object | No | Quantity of time the encounter lasted. This excludes the time during leaves of absence. |
| `entry[] (Encounter).resource (Redox Encounter).length.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (Encounter).resource (Redox Encounter).length.system` | string | No | The identification of the system that provides the coded form of the unit. |
| `entry[] (Encounter).resource (Redox Encounter).length.code` | string | No | A computer processable form of the unit in some unit representation system. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode` | Array of object | No | Reason the encounter takes place, expressed as a code. For admissions, this can be used for a coded admission diagnosis. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (Redox Encounter).reasonCode[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (Redox Encounter).diagnosis` | Array of object | No | The list of diagnosis relevant to this encounter. |
| `entry[] (Encounter).resource (Redox Encounter).diagnosis[].condition` | object | Yes | Reason the encounter takes place, as specified using information from another resource. For admissions, this is the admission diagnosis. The indication will typically be a Condition (with other resources referenced in the evidence.detail), or a Procedure. Must be a resource of type `Condition`. |
| `entry[] (Encounter).resource (Redox Encounter).diagnosis[].condition.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (Redox Encounter).account` | Array of object | No | The set of accounts that may be used for billing for this Encounter. Must be a resource of type `Account`. |
| `entry[] (Encounter).resource (Redox Encounter).account[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (Redox Encounter).hospitalization` | object | No | Details about the admission to a healthcare service. |
| `entry[] (Encounter).resource (Redox Encounter).hospitalization.destination` | object | No | Location/organization to which the patient is discharged. Must reference one of the following types of resources: - `Location` - `Organization` |
| `entry[] (Encounter).resource (Redox Encounter).hospitalization.destination.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (Redox Encounter).hospitalization.dischargeDisposition` | object | No | Category or kind of location after discharge. |
| `entry[] (Encounter).resource (Redox Encounter).hospitalization.dischargeDisposition.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (Redox Encounter).hospitalization.dischargeDisposition.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (Redox Encounter).hospitalization.dischargeDisposition.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (Redox Encounter).hospitalization.dischargeDisposition.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (Redox Encounter).location` | Array of object | No | List of locations where  the patient has been during this encounter. |
| `entry[] (Encounter).resource (Redox Encounter).location[].location` | object | Yes | The location where the encounter takes place. Must be a resource of type `Location`. |
| `entry[] (Encounter).resource (Redox Encounter).location[].location.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (Redox Encounter).location[].status` | string | No | The status of the participants' presence at the specified location during the period specified. If the participant is no longer at the location, then the period will have an end date/time. Possible values: planned, active, reserved, completed |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).resourceType` | string | Yes | Identifies the type of the resource. Value: Encounter |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).status` | string | Yes | Current status of the encounter. Possible values: planned, arrived, triaged, in-progress, onleave, finished, cancelled, entered-in-error, unknown |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class` | object | Yes | Concepts representing classification of patient encounter such as ambulatory (outpatient), inpatient, emergency, home health or others due to local variations. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).class.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).type` | Array of object | Yes | Specific type of encounter (e.g. e-mail consultation, surgical day-care, skilled nursing, rehabilitation). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).type[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).type[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).type[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).type[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).subject` | object | Yes | The patient or group present at the encounter. Must be a resource of type `Patient`. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained` | Array of Account or Insurance or SubscriberOrGuarantor or PayorOrEmployer | No | These resources do not have an independent existence apart from the resource that contains them - they cannot be identified independently, and nor can they have their own independent transaction scope. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).resourceType` | string | Yes | Identifies the type of the resource. Value: Account |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).status` | string | Yes | Indicates whether the account is presently used/usable or not. Possible values: active, inactive, entered-in-error, on-hold, unknown |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).subject` | Array of object | No | Identifies the entity which incurs the expenses. While the immediate recipients of services or goods might be entities related to the subject, the expenses were ultimately incurred by the subject of the Account. Must reference one of the following types of resources: - `Patient` - `Device` - `Practitioner` - `PractitionerRole` - `Location` - `HealthcareService` - `Organization` |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).subject[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).coverage` | Array of object | No | The party(s) that are responsible for covering the payment of this account, and what order should they be applied to the account. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).coverage[].coverage` | object | Yes | The party(s) that contribute to payment (or part of) of the charges applied to this account (including self-pay). A coverage may only be responsible for specific types of charges, and the sequence of the coverages in the account could be important when processing billing. Must be a resource of type `Coverage`. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).coverage[].coverage.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor` | Array of object | No | The parties responsible for balancing the account if other payment options fall short. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].party` | object | Yes | The entity who is responsible. Must reference one of the following types of resources: - `Patient` - `RelatedPerson` - `Organization` |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].party.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension` | Array of guarantorType or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (guarantorType).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/account-guarantor-type |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (guarantorType).valueCodeableConcept` | object | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (guarantorType).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Account).guarantor[].extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).resourceType` | string | Yes | Identifies the type of the resource. Value: Coverage |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).status` | string | Yes | The status of the resource instance. Possible values: active, cancelled, draft, entered-in-error |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).beneficiary` | object | Yes | The party who benefits from the insurance coverage; the patient when products and/or services are provided. Must be a resource of type `Patient`. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).beneficiary.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).payor` | Array of object | Yes | The program or plan underwriter or payor including both insurance and non-insurance agreements, such as patient-pay agreements. Must reference one of the following types of resources: - `Organization` - `Patient` - `RelatedPerson` |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).payor[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier` | Array of object | No | A unique identifier assigned to this coverage. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).type` | object | No | The type of coverage: social program, medical plan, accident coverage (workers compensation, auto), group health or payment by an individual or organization. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).subscriber` | object | No | The party who has signed-up for or 'owns' the contractual relationship to the policy or to whom the benefit of the policy for services rendered to them or their family is due. Must reference one of the following types of resources: - `Patient` - `RelatedPerson` |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).subscriber.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).period` | object | No | Time period during which the coverage is in force. A missing start date indicates the start date isn't known, a missing end date means the coverage is continuing to be in force. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).period.start` | string | No | The start of the period. The boundary is inclusive. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).period.end` | string | No | The end of the period. If the end of the period is missing, it means no end was known or planned at the time the instance was created. The start may be in the past, and the end date in the future, which means that period is expected/planned to end at that time. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class` | Array of group or plan or agreementType or coverageType or Other | No | A suite of underwriter specific classifiers. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (group).type` | object | Yes | Identifies this class as representing the insurance group. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (group).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (group).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: group |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (group).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/coverage-class |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (group).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (group).value` | string | Yes | Identifier of the group. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (group).name` | string | No | Name of the group. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (plan).type` | object | Yes | Identifies this class as representing the insurance plan. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (plan).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (plan).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: plan |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (plan).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/coverage-class |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (plan).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (plan).value` | string | Yes | Identifier of the plan. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (plan).name` | string | No | Name of the plan. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (agreementType).type` | object | Yes | Identifies this class as representing the insurance agreementType. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (agreementType).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (agreementType).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: agreement-type |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (agreementType).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: https://fhir.redoxengine.com/CodeSystem/other-coverage-class |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (agreementType).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (agreementType).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (coverageType).type` | object | Yes | Identifies this class as representing the insurance coverageType. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (coverageType).type.coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (coverageType).type.coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: coverage-type |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (coverageType).type.coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: https://fhir.redoxengine.com/CodeSystem/other-coverage-class |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (coverageType).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (coverageType).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (Other).type` | object | Yes | The type of classification for which an insurer-specific class label or number and optional name is provided, for example may be used to identify a class of coverage or employer group, Policy, Plan. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (Other).type.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (Other).type.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (Other).type.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (Other).type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (Insurance).class[] (Other).value` | string | Yes | The alphanumeric string value associated with the insurer issued label. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).resourceType` | string | Yes | Identifies the type of the resource. Value: RelatedPerson |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).patient` | object | Yes | The patient this person is related to. Must be a resource of type `Patient`. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).patient.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension` | Array of spouse or employer or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (spouse).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/relatedperson-spouse |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (spouse).valueHumanName` | object | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (spouse).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (spouse).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (spouse).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (employer).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: https://fhir.redoxengine.com/StructureDefinition/relatedperson-employer |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (employer).valueReference` | object | No | Value of extension - must be one of a constrained set of the data types (see Extensibility for a list). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (employer).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier` | Array of object | No | Identifier for a person within a particular scope. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).relationship` | Array of object | No | The nature of the relationship between a patient and the related person. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).relationship[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).name` | Array of object | No | A name associated with the person. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).name[].given` | Array of string | No | Given name. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).telecom` | Array of object | No | A contact detail for the person, e.g. a telephone number or an email address. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).gender` | string | No | Administrative Gender - the gender that the person is considered to have for administration and record keeping purposes. Possible values: male, female, other, unknown |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).birthDate` | string | No | The date on which the related person was born. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).address` | Array of object | No | Address where the related person can be contacted or visited. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (SubscriberOrGuarantor).address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (PayorOrEmployer).resourceType` | string | Yes | Identifies the type of the resource. Value: Organization |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (PayorOrEmployer).active` | boolean | Yes | Whether the organization's record is still in active use. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (PayorOrEmployer).name` | string | Yes | A name associated with the organization. |
| `entry[] (Encounter).resource (RedoxEncounterWithContained).contained[] (PayorOrEmployer).id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
[...]
